Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.examples.nurserostering.domain
Class ShiftType

    java.lang.Object
      org.drools.planner.examples.common.domain.AbstractPersistable
          org.drools.planner.examples.nurserostering.domain.ShiftType

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>

    public class ShiftType

extends AbstractPersistable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`ShiftType()`

Method Summary
`String` | `getCode()`
`String` | `getDescription()`
`String` | `getEndTimeString()`
`int` | `getIndex()`
`String` | `getStartTimeString()`
`boolean` | `isNight()`
`void` | `setCode(String code)`
`void` | `setDescription(String description)`
`void` | `setEndTimeString(String endTimeString)`
`void` | `setIndex(int index)`
`void` | `setNight(boolean night)`
`void` | `setStartTimeString(String startTimeString)`
`String` | `toString()`

Methods inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShiftType

    public ShiftType()

Method Detail

### getCode

    public String getCode()

### setCode

    public void setCode(String code)

### getIndex

    public int getIndex()

### setIndex

    public void setIndex(int index)

### getStartTimeString

    public String getStartTimeString()

### setStartTimeString

    public void setStartTimeString(String startTimeString)

### getEndTimeString

    public String getEndTimeString()

### setEndTimeString

    public void setEndTimeString(String endTimeString)

### isNight

    public boolean isNight()

### setNight

    public void setNight(boolean night)

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractPersistable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.